'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: c_009_.inc,v $
'*
'*  $Revision: 1.2 $
'*
'*  last change: $Author: tbo $ $Date: 2003/06/10 08:52:43 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*************************************************************************************************
'*
'* owner : peter.junge@sun.com
'*
'* short description : Check the resources for menuitem Help
'*
'*************************************************************************************************
'*
' #1 C_009_ ' Initial routine
' #1 tHelpContent
' #1 tHelpTip
' #1 tHelpExtendedTips
' #1 tHelpAboutStarOffice
'*
'\************************************************************************************************

sub C_009_

Printlog Chr(13) + "--------- C_009_ ---------"

   Call tHelpContent
   Call tHelpTip
   Call tHelpExtendedTips
   Call tHelpAboutStarOffice

End Sub

'
'-----------------------------------------------------------
'
testcase tHelpContent
   call hNewDocument
     HelpContents
     sleep 1
     Kontext "StarOfficeHelp"
      try
        checkindex
       catch
      endcatch
     Kontext "StarOfficeHelp"
      StarOfficeHelp.TypeKeys "<Mod1 F4>"
      if StarOfficeHelp.Exists then
        warnlog "StarOffice Help can not closed?!"
      end if
   call hCloseDocument
endcase
'
'-----------------------------------------------------------
'
testcase tHelpTip

   Call hNewDocument

   HelpTips
   HelpTips

   Call hCloseDocument

endcase

'
'-----------------------------------------------------------
'

testcase tHelpExtendedTips

   Call  hNewDocument

   HelpEntendedHelp
   HelpEntendedHelp

   Call hCloseDocument

endcase

'
'-----------------------------------------------------------
'

testcase tHelpAboutStarOffice

   Call hNewDocument

   HelpAboutStarOffice
   Kontext "UeberStarWriter"
   DialogTest ( UeberStarWriter )
   UeberStarWriter.TypeKeys "<Mod1 S><Mod1 D><Mod1 T>"
   UeberStarWriter.OK

   Call hCloseDocument

endcase

