@echo off
rem ########################################################################
rem
rem  $RCSfile: OOoTestRun_win32.bat,v $
rem
rem  $Revision: 1.4.2.1 $
rem
rem  last change: $Author: tbo $ $Date: 2003/11/19 13:44:20 $
rem
rem  The Contents of this file are made available subject to the terms of
rem  either of the following licenses
rem
rem         - GNU Lesser General Public License Version 2.1
rem         - Sun Industry Standards Source License Version 1.1
rem
rem  Sun Microsystems Inc., October, 2000
rem
rem  GNU Lesser General Public License Version 2.1
rem  =============================================
rem  Copyright 2000 by Sun Microsystems, Inc.
rem  901 San Antonio Road, Palo Alto, CA 94303, USA
rem
rem  This library is free software; you can redistribute it and/or
rem  modify it under the terms of the GNU Lesser General Public
rem  License version 2.1, as published by the Free Software Foundation.
rem
rem  This library is distributed in the hope that it will be useful,
rem  but WITHOUT ANY WARRANTY; without even the implied warranty of
rem  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
rem  Lesser General Public License for more details.
rem
rem  You should have received a copy of the GNU Lesser General Public
rem  License along with this library; if not, write to the Free Software
rem  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
rem  MA  02111-1307  USA
rem
rem
rem  Sun Industry Standards Source License Version 1.1
rem  =================================================
rem  The contents of this file are subject to the Sun Industry Standards
rem  Source License Version 1.1 (the License); You may not use this file
rem  except in compliance with the License. You may obtain a copy of the
rem  License at http://www.openoffice.org/license.html.
rem
rem  Software provided under this License is provided on an AS IS basis,
rem  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
rem  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
rem  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
rem  See the License for the specific provisions governing your rights and
rem  obligations concerning the Software.
rem
rem  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
rem
rem  Copyright: 2000 by Sun Microsystems, Inc.
rem
rem  All Rights Reserved.
rem
rem  Contributor(s): _______________________________________
rem
rem ########################################################################
rem
rem Owner : thorsten.bosbach@sun.com
rem
rem short description : run several testscripts on win32
rem
rem ########################################################################

rem if program 'tskill' is not available on your system:
rem 
rem 1. it doesn't matter; the batch works well without it.
rem 2. if you still need it, take it from:
rem 
rem http://www.pcwelt.de/public/kill.exe
rem 
rem (if the link doesn't work anymore please tell issuezilla)
rem 
rem 3. change the following lines from
rem       tskill soffice
rem    to
rem       kill /f soffice.exe

echo on

rem  set path to directory which contains executable 'testtool'
set tool=C:\qatesttool\win32\

rem set path to directory which contains directory 'qatesttool'
set work=C:\qatesttool

%tool%testtool -run %work%/qatesttool/framework/first/first.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/framework/first/topten.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/framework/update/f_updt.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/math/update/m_updt.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/graphics/update/d_updt.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/graphics/update/i_updt.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/base/update/b_resource.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/base/update/b_updt.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/calc/update/c_updt.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/chart/update/ch_updt.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/writer/update/w_updt.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/writer/update/ww_updt.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/writer/update/ma_updt.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/xml/update/xc_updt.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/xml/update/xd_updt.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/xml/update/xi_updt.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/xml/update/xm_updt.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/xml/update/xw_updt.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/graphics/update/gallery.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/framework/basic/f_basic.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/framework/basic/check_control_settings_calc.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/framework/basic/check_control_settings_graphics.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice
%tool%testtool -run %work%/qatesttool/framework/basic/check_control_settings_writer.bas
%tool%testtool -run %work%\qatesttool\global\tools\closeoffice.bas
tskill soffice

