'*************************************************************************
'*
'*  $RCSfile: w_tool2.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:53:33 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/******************************************************************
'*                                                                **
'* owner : helge.delfs@sun.com                                    **
'*                                                                **
'* short description : Description of file                        **
'*                                                                **
'*******************************************************************
'*                                                                **
' #1 wEinfuegenGrafikmitBeschriftung						       *
' #1 wEinfuegenZeichnungMitBeschriftung
' #1 wEinfuegenRahmenMitBeschriftung
' #1 wFeldbefehlSelektieren
' #1 FeldbefehlInClipboard
' #1 FeldbefehlInClipboardrechne     ' zum Feldbefehl 1 hinzu addieren damit er im Clipboard erscheint
' #1 KuckMalNach
' #1 OptionenAufrufen
' #1 CheckUberpruefen
' #1 UnCheckUeberpruefen
' #1 WortErgaenzen
'*                                                                **
'\******************************************************************



sub wEinfuegenGrafikmitBeschriftung(dieGrafik as string)
  InsertGraphicsFromFile
  Kontext "Active"
 If Active.Exists then
  Warnlog Active.Gettext
  Active.Ok
 endif
  Kontext "GrafikEinfuegenDlg"
  Dateiname.Settext Convertpath (dieGrafik)
  Oeffnen.Click
  Sleep 3
  InsertCaption
  Kontext "Beschriftung"
  Beschriftung.Ok
  Sleep 2
  Kontext "OL_Web_Grafik"
  UmlaufAus.Click
  Kontext "DocumentWriter"
end sub

sub wEinfuegenZeichnungMitBeschriftung (x as integer, y as integer, xmax as integer, ymax as integer)
  Kontext "WL_SW"
  Zeichnen.TearOff
  Kontext "TB_Zeichenfunktionen"
  Rechteck.Click

  Kontext "DocumentWriter"
  DocumentWriter.MouseDown x, y
  DocumentWriter.MouseMove xmax, ymax
  DocumentWriter.MouseUp xmax, ymax
  Sleep  3
  InsertCaption
  Kontext "Beschriftung"
  Beschriftung.Ok
  Sleep 2
  FormatWrapNoWrap
end sub

sub wEinfuegenRahmenMitBeschriftung
  InsertFrame
   Sleep 2
  Kontext
  Active.Setpage TabType
  Kontext "TabType"
  Width.Settext "5"
  Height.Settext "10"
  TabType.Ok
  Kontext "OL_Web_Grafik"
  Links.Click
  UmlaufAus.Click
  InsertCaption
  Kontext "Beschriftung"
  Beschriftung.Ok
  Sleep 2
  Kontext "DocumentWriter"
end sub

sub wFeldbefehlSelektieren(derFeldtyp as string, dieAuswahl as integer, dieFormatliste as integer, Auswahltab as string)
 select case Auswahltab
  '########################################### Tabpage Dokument ##############################
'- tip FeldbefehlSelektieren Tabpage 1
  case "eins"
    Kontext "TabDokumentFeldbefehle"
    Select Case derFeldtyp
        Case "Absender"
          Select Case iSprache
            Case 49: Feldtyp.Select 1
            Case 01: Feldtyp.Select 7
            Case 33: Feldtyp.Select 4
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Benutzer"
          Select Case iSprache
            Case 49: Feldtyp.Select 2
            Case 01: Feldtyp.Select 1
            Case 33: Feldtyp.Select 1
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Dateiname"
          Select Case iSprache
            Case 49: Feldtyp.Select 3
            Case 01: Feldtyp.Select 5
            Case 33: Feldtyp.Select 7
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Datum"
          Select Case iSprache
            Case 49: Feldtyp.Select 4
            Case 01: Feldtyp.Select 3
            Case 33: Feldtyp.Select 3
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Dokumentvorlage"
          Select Case iSprache
            Case 49: Feldtyp.Select 5
            Case 01: Feldtyp.Select 4
            Case 33: Feldtyp.Select 6
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Kapitel"
          Select Case iSprache
            Case 49: Feldtyp.Select 6
            Case 01: Feldtyp.Select 2
            Case 33: Feldtyp.Select 2
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Seite"
          Select Case iSprache
            Case 49: Feldtyp.Select 7
            Case 01: Feldtyp.Select 6
            Case 33: Feldtyp.Select 8
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Statistik"
          Select Case iSprache
            Case 49: Feldtyp.Select 8
            Case 01: Feldtyp.Select 8
            Case 33: Feldtyp.Select 9
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Uhrzeit"
          Select Case iSprache
            Case 49: Feldtyp.Select 9
            Case 01: Feldtyp.Select 9
            Case 33: Feldtyp.Select 5
            Case else : Warnlog "Adaption for this language is missing"
          end select
    end select
    if Auswahl.IsEnabled then Auswahl.Select dieAuswahl
    if Formatliste.IsVisible and dieFormatliste>0 then Formatliste.Select dieFormatliste
    if Zahlenformat.IsVisible and dieFormatliste>0 then Zahlenformat.Select dieFormatliste
    Einfuegen.Click
  '########################################### Tabpage Referenzen ##############################
'- tip FeldbefehlSelektieren Tabpage 2
  case "zwei"
   Kontext "TabReferenzen"
    Select Case derFeldtyp
        Case "ReferenzEinfuegen"
          Select Case iSprache
            Case 49: Feldtyp.Select 2
            Case 01: Feldtyp.Select 2
            Case 33: Feldtyp.Select 2
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Textmarken"
          Select Case iSprache
            Case 49: Feldtyp.Select 3
            Case 01: Feldtyp.Select 3
            Case 33: Feldtyp.Select 3
            Case else : Warnlog "Adaption for this language is missing"
          end select
    end select
    if Auswahl.IsEnabled then Auswahl.Select dieAuswahl
    if Formatliste.IsVisible and dieFormatliste>0 then Formatliste.Select dieFormatliste
    if Einfuegen.IsEnabled then Einfuegen.Click
 '########################################### Tabpage Funktionen ##############################
'- tip FeldbefehlSelektieren Tabpage 3
  case "drei"
   Kontext "TabFunktionen"
    Select Case derFeldtyp
        Case "BedingterText"
          Select Case iSprache
            Case 49: Feldtyp.Select 1
            Case 01: Feldtyp.Select 1
            Case 33: Feldtyp.Select 1
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Eingabefeld"
          Select Case iSprache
            Case 49: Feldtyp.Select 2
            Case 01: Feldtyp.Select 2
            Case 33: Feldtyp.Select 2
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "MakroAusfuehren"
          Select Case iSprache
            Case 49: Feldtyp.Select 3
            Case 01: Feldtyp.Select 3
            Case 33: Feldtyp.Select 3
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Platzhalter"
          Select Case iSprache
            Case 49: Feldtyp.Select 4
            Case 01: Feldtyp.Select 4
            Case 33: Feldtyp.Select 4
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "VersteckterText"
          Select Case iSprache
            Case 49: Feldtyp.Select 5
            Case 01: Feldtyp.Select 5
            Case 33: Feldtyp.Select 5
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "VersteckterAbsatz"
          Select Case iSprache
            Case 49: Feldtyp.Select 6
            Case 01: Feldtyp.Select 6
            Case 33: Feldtyp.Select 6
            Case else : Warnlog "Adaption for this language is missing"
          end select
    end select
    if Auswahl.IsVisible and dieAuswahl>0 then Auswahl.Select dieAuswahl
    if Formatliste.IsVisible and dieFormatliste>0 then Formatliste.Select dieFormatliste
    'if Einfuegen.IsEnabled then Einfuegen.Click
    '########################################### Tabpage Dokumentinfo ##############################
'- tip FeldbefehlSelektieren Tabpage 4
  case "vier"
   Kontext "TabDokumentInfoFeldbefehle"
          Select Case iSprache
            Case 49: Feldtyp.Select 6
            Case 01: Feldtyp.Select 5
            Case 33: Feldtyp.Select 6
            Case else : Warnlog "Adaption for this language is missing"
          Feldtyp.TypeKeys "+"
          end select

    Select Case derFeldtyp
        Case "Aenderung"
          Select Case iSprache
            Case 49: Feldtyp.Select 1
            Case 01: Feldtyp.Select 7
            Case 33: Feldtyp.Select 5
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Bearbeitungszeit"
          Select Case iSprache
            Case 49: Feldtyp.Select 2
            Case 01: Feldtyp.Select 4
            Case 33: Feldtyp.Select 4
            Case else : Warnlog "Adaption for this language is missing"

            Zahlenformat.Select GetItemCount
            Kontext "Zahlenformat"
            if Zahlenformat.NotExists then
             Warnlog "Dialog for Numberformat not up!"
            else
             KategorieFormat.Select 1
             FormatCode.Settext "SS"
             Hinzufuegen.Click
             Zahlenformat.OK
             Kontext "TabDokumentInfoFeldbefehle"
             Zahlenformat.Select 1
            endif
          end select

        Case "Beschreibung"
          Select Case iSprache
            Case 49: Feldtyp.Select 3
            Case 01: Feldtyp.Select 2
            Case 33: Feldtyp.Select 3
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Dokumentnr"
          Select Case iSprache
            Case 49: Feldtyp.Select 4
            Case 01: Feldtyp.Select 3
            Case 33: Feldtyp.Select 9
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Erzeugung"
          Select Case iSprache
            Case 49: Feldtyp.Select 5
            Case 01: Feldtyp.Select 1
            Case 33: Feldtyp.Select 2
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Info0"
          Select Case iSprache
            Case 49: Feldtyp.Select 7
            Case 01: Feldtyp.Select 6
            Case 33: Feldtyp.Select 7
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Info1"
          Select Case iSprache
            Case 49: Feldtyp.Select 8
            Case 01: Feldtyp.Select 7
            Case 33: Feldtyp.Select 8
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Info2"
          Select Case iSprache
            Case 49: Feldtyp.Select 9
            Case 01: Feldtyp.Select 8
            Case 33: Feldtyp.Select 9
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Info3"
          Select Case iSprache
            Case 49: Feldtyp.Select 10
            Case 01: Feldtyp.Select 9
            Case 33: Feldtyp.Select 10
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "LetzterDruck"
          Select Case iSprache
            Case 49: Feldtyp.Select 11
            Case 01: Feldtyp.Select 12
            Case 33: Feldtyp.Select 4
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Schluesselwoerter"
          Select Case iSprache
            Case 49: Feldtyp.Select 12
            Case 01: Feldtyp.Select 10
            Case 33: Feldtyp.Select 12
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Thema"
          Select Case iSprache
            Case 49: Feldtyp.Select 13
            Case 01: Feldtyp.Select 13
            Case 33: Feldtyp.Select 14
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Titel"
          Select Case iSprache
            Case 49: Feldtyp.Select 14
            Case 01: Feldtyp.Select 14
            Case 33: Feldtyp.Select 1
            Case else : Warnlog "Adaption for this language is missing"
          end select
    end select
     if Auswahl.IsVisible and dieAuswahl>0 then Auswahl.Select dieAuswahl
     if Zahlenformat.IsVisible and dieFormatliste>0 then Zahlenformat.Select dieFormatliste
     Einfuegen.Click

 '########################################### Tabpage Variablen ##############################
'- tip FeldbefehlSelektieren Tabpage 5
  case "fuenf"
   Kontext "TabVariablen"
    Select Case derFeldtyp
        Case "VariableSetzen"
          Select Case iSprache
            Case 49: Feldtyp.Select 1
            Case 01: Feldtyp.Select 7
            Case 33: Feldtyp.Select 1
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "VariableAnzeigen"
          Select Case iSprache
            Case 49: Feldtyp.Select 2
            Case 01: Feldtyp.Select 7
            Case 33: Feldtyp.Select 2
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "DDEFeld"
          if gplatgroup= "win" or gplatgroup = "os2" then
             Select Case iSprache
               Case 49: Feldtyp.Select 3
               Case 01: Feldtyp.Select 7
               Case 33: Feldtyp.Select 3
               Case else : Warnlog "Adaption for this language is missing"
             end select
           else
            Warnlog "- Kein DDE auf " + gplatgroup
          endif

        Case "Formel"
          Select Case iSprache
            Case 49: Feldtyp.Select 4
            Case 01: Feldtyp.Select 7
            Case 33: Feldtyp.Select 3
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Eingabefeld"
          Select Case iSprache
            Case 49: Feldtyp.Select 5
            Case 01: Feldtyp.Select 7
            'Case 33: Feldtyp.Select
            Case else : Warnlog "Adaption for this language is missing"
          end select
          if dieAuswahl=1 then Hinweis.Settext "Eingabefeld Variable1"
          if dieAuswahl=2 then Hinweis.Settext "Eingabefeld Variable2"

        Case "Nummernkreis"
          Select Case iSprache
            Case 49: Feldtyp.Select 6
            Case 01: Feldtyp.Select 7
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "SeitenvariableSetzen"
          Select Case iSprache
            Case 49: Feldtyp.Select 7
            Case 01: Feldtyp.Select 7
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "SeitenvariableAnzeigen"
          Select Case iSprache
            Case 49: Feldtyp.Select 8
            Case 01: Feldtyp.Select 7
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Benutzerfeld"
          Select Case iSprache
            Case 49: Feldtyp.Select 9
            Case 01: Feldtyp.Select 7
            Case else : Warnlog "Adaption for this language is missing"
          end select
    end select
     if dieAuswahl>0 then Auswahl.Select dieAuswahl
     if Formatliste.IsVisible and dieFormatliste>0 then Formatliste.Select dieFormatliste
     if Zahlenformat.IsVisible and dieFormatliste>0 then Zahlenformat.Select dieFormatliste
     'if Einfuegen.IsEnabled then Einfuegen.Click

'########################################### Tabpage Datenbank ##############################
'- tip FeldbefehlSelektieren Tabpage 6
  case "sechs"
   Kontext "TabDatenbank"
    Select Case derFeldtyp
        Case "BeliebigerDatensatz"
          Select Case iSprache
            Case 49: Feldtyp.Select 1
            'Case 01: Feldtyp.Select 7
            'Case 33: Feldtyp.Select 1
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Datenbankname"
          Select Case iSprache
            Case 49: Feldtyp.Select 2
            'Case 01: Feldtyp.Select 7
            'Case 33: Feldtyp.Select 2
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Datensatznr"
             Select Case iSprache
               Case 49: Feldtyp.Select 3
               Case 01: Feldtyp.Select 7
               Case 33: Feldtyp.Select 3
               Case else : Warnlog "Adaption for this language is missing"
             end select
        Case "NaechsterDatensatz"
          Select Case iSprache
            Case 49: Feldtyp.Select 4
            Case 01: Feldtyp.Select 7
            Case 33: Feldtyp.Select 3
            Case else : Warnlog "Adaption for this language is missing"
          end select
        Case "Serienbrieffeld"
          Feldtyp.Select 5
          Datenbankauswahl.Select 1
          Datenbankauswahl.TypeKeys "+"
          Datenbankauswahl.Select 2
          Datenbankauswahl.TypeKeys "+"

  end select
     if dieAuswahl>0 then Datenbankauswahl.Select dieAuswahl
     if Einfuegen.IsEnabled then Einfuegen.Click
 end select
end sub

sub FeldbefehlInClipboard      ' Dokument aktualisieren, Feldbefehl markieren und Kopieren
  Call wDokSchreiben "<F9>"
  Call wDokSchreiben "<Shift Home>"
  EditCopy
  Call wDokSchreiben "<End><Return>"
end sub

sub FeldbefehlInClipboardrechne     ' zum Feldbefehl 1 hinzu addieren damit er im Clipboard erscheint
  Call wDokSchreiben "<F9>"
  Call wDokSchreiben "+ 1"
  Call wDokSchreiben "<Shift Home>"
  ToolsCalculate
  Call wDokSchreiben "<End><Return>"
end sub

function KuckMalNach (Listeninhalt as string) as boolean
 dim stimmtnicht as boolean
 stimmtnicht=false
 select case Listeninhalt
 ' # Feldtypen auf der Tabpage Dokument"
        Case "Absender"
          Select Case iSprache
            Case 49: if Feldtyp.GetSeltext <> Listeninhalt then stimmtnicht=true
            Case 01: if Feldtyp.GetSelText <> "Sender"   then stimmtnicht=true
          end select
        Case "Benutzer"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText <> Listeninhalt then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText <> "Author"   then stimmtnicht=true
          end select
        Case "Dateiname"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> Listeninhalt   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "File name"   then stimmtnicht=true
          end select
        Case "Datum"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> Listeninhalt   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Date"   then stimmtnicht=true
          end select
        Case "Dokumentvorlage"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> Listeninhalt   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Document Template"   then stimmtnicht=true
          end select
        Case "Kapitel"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> Listeninhalt   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Chapter"   then stimmtnicht=true
          end select
        Case "Seite"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> Listeninhalt   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Page"   then stimmtnicht=true
          end select
        Case "Statistik"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> Listeninhalt   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Statistics"   then stimmtnicht=true
          end select
        Case "Uhrzeit"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> Listeninhalt   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Time"   then stimmtnicht=true
          end select

' # Feldtypen auf der Tabpage Referenzen
        Case "ReferenzSetzen"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> "Referenz setzen"   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Insert Reference"   then stimmtnicht=true
          end select
        Case "ReferenzEinfuegen"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> "Referenz einfgen"   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Insert Reference"   then stimmtnicht=true
          end select
        Case "Textmarken"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> Listeninhalt   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Bookmarks"   then stimmtnicht=true
          end select

 ' # Feldtypen auf der Tabpage Funktionen
        Case "BedingterText"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> "Bedingter Text"   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Conditional Text"   then stimmtnicht=true
          end select
        Case "Eingabefeld"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> Listeninhalt   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Input field"   then stimmtnicht=true
          end select
        Case "MakroAusfuehren"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> "Makro ausfhren"   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Execute macro"   then stimmtnicht=true
          end select
        Case "Platzhalter"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> Listeninhalt   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Placeholder"   then stimmtnicht=true
          end select
        Case "VersteckterText"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> "Versteckter Text"   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Hidden text"   then stimmtnicht=true
          end select
        Case "VersteckterAbsatz"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> "Versteckter Absatz"   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Hidden Paragraph"   then stimmtnicht=true
          end select

 ' Feldtypen auf der Tabpage Dokumentinfo
        Case "Aenderung"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> "nderung"   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Modified"   then stimmtnicht=true
          end select
        Case "Bearbeitungszeit"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> Listeninhalt   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Editing Time"   then stimmtnicht=true
          end select
        Case "Beschreibung"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> Listeninhalt   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Description"   then stimmtnicht=true
          end select
        Case "Dokumentnr"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> "Dokumentnummer"   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Document number"   then stimmtnicht=true
          end select
        Case "Erzeugung"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> Listeninhalt   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Created"   then stimmtnicht=true
          end select
        Case "Info0"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> "Info 0"   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Info 0"   then stimmtnicht=true
          end select
        Case "Info1"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> "Info 1"   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Info 1"   then stimmtnicht=true
          end select
        Case "Info2"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> "Info 2"   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Info 2"   then stimmtnicht=true
          end select
        Case "Info3"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> "Info 3"   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Info 3"   then stimmtnicht=true
          end select
        Case "LetzterDruck"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> "Letzter Druck"   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Most recent print"   then stimmtnicht=true
          end select
        Case "Schluesselwoerter"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> "Schlsselwrter"   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Keywords"   then stimmtnicht=true
          end select
        Case "Thema"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> Listeninhalt   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Subject"   then stimmtnicht=true
          end select
        Case "Titel"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> Listeninhalt   then stimmtnicht=true
            Case 01:if Feldtyp.GetSelText  <> "Title"   then stimmtnicht=true
          end select

' Feldtypen auf der Tabpage Dokumentinfo

        Case "VariableSetzen"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> "Variable setzen"   then stimmtnicht=true

          end select
        Case "VariableAnzeigen"
          Select Case iSprache
            Case 49:if Feldtyp.GetSelText  <> "Variable anzeigen"   then stimmtnicht=true
          end select
        Case "DDEFeld"
             Select Case iSprache
               Case 49:if Feldtyp.GetSelText  <> "DDE-Feld"   then stimmtnicht=true
             end select
        Case "Formel"
          Select Case iSprache
            Case 49: if Feldtyp.GetSelText  <> "Formel einfgen"   then stimmtnicht=true
          end select
        Case "Eingabefeld"
          Select Case iSprache
            Case 49: if Feldtyp.GetSelText  <> Listeninhalt   then stimmtnicht=true
          end select
        Case "Nummernkreis"
          Select Case iSprache
            Case 49: if Feldtyp.GetSelText  <> Listeninhalt   then stimmtnicht=true
          end select
        Case "SeitenvariableSetzen"
          Select Case iSprache
            Case 49: if Feldtyp.GetSelText  <> "Seitenvariable setzen"   then stimmtnicht=true
          end select
        Case "SeitenvariableAnzeigen"
          Select Case iSprache
            Case 49: if Feldtyp.GetSelText  <> "Seitenvariable anzeigen"   then stimmtnicht=true
          end select
        Case "Benutzerfeld"
          Select Case iSprache
            Case 49: if Feldtyp.GetSelText  <> Listeninhalt   then stimmtnicht=true
           end select

    if stimmtnicht=true then Warnlog "Not " + Listeninhalt + " but " + Feldtyp.GetSelText + " has been selected!"
 end select

end function

' *** Subroutines used in w_106a_.inc  ***

sub OptionenAufrufen(Seite as string)
  Dim i as integer, GotItAlready as Boolean
  Kontext
  ToolsAutoCorrect
  For i = 1 to 5
   Kontext "Active"
   if Active.Exists then
    if Active.GetRT = 304 then
     if i = 1 then
       Warnlog Active.Gettext + " Bug#90025"
       GotItAlready = True
     endif
     Active.Ok
    endif
   endif
  next i
  Kontext
  Select case Seite
    case "TabErsetzung"   : active.SetPage TabErsetzung
    case "TabAusnahmen"   : active.SetPage TabAusnahmen
    case "TabOptionen"    : active.SetPage TabOptionen
    case "TabTypografisch": active.SetPage TabTypografisch
  end select
  for i = 1 to 5
   Kontext "Active"
   if Active.Exists then
    if Active.GetRT = 304 then
     if i = 1 and GotItAlready = False then Warnlog Active.Gettext + " Bug#90025"
     Active.Ok
    endif
   endif
  Next i
  Kontext Seite
end sub



sub CheckUberpruefen ( Pruefung$ )
   wDokSchreiben Pruefung$
   wait 100
   wDokSchreiben "<Home><Shift End>"
   EditCopy
   if GetClipboardText = Pruefung$ then Warnlog "Text has not been replaced"
   wDokSchreiben "<Home><Shift End><Delete>"
end sub

sub UnCheckUeberpruefen ( Pruefung$ )
   wDokSchreiben Pruefung$
   wait 100
   wDokSchreiben "<Home><Shift End>"
   EditCopy
   if GetClipboardText <> Pruefung$ then Warnlog "Text has been replaced"
   wDokSchreiben "<Home><Shift End><Delete>"
end sub


sub WortErgaenzen(Tastaturbefehl as string)
    Call wDokSchreiben "Die"
    Wait 500
    Call wDokSchreiben Tastaturbefehl
    Call wDokSchreiben "<End><Mod1 Shift Left>"
    EditCopy
    if GetClipBoardtext = "Dies" then Warnlog "Word 'Dies' has been completed!"
    if Tastaturbefehl = "<Return>" then Call wDokSchreiben "<Return>"

    Call wDokSchreiben "auto"
    Wait 500
    Call wDokSchreiben Tastaturbefehl
    Call wDokSchreiben "<End><Mod1 Shift Left>"
    EditCopy
    if GetClipBoardtext <> "automatischen" then Warnlog "Word 'automatischen' has not been completed!"
    if Tastaturbefehl = "<Return>" then Call wDokSchreiben "<Return>"

    Call wDokSchreiben "Wor"
    Wait 500
    Call wDokSchreiben Tastaturbefehl
    Call wDokSchreiben "<End><Mod1 Shift Left>"
    EditCopy
    if GetClipBoardtext <> "Worterkennung" then Warnlog "Word 'Worterkennung' has not been completed!"
    if Tastaturbefehl = "<Return>" then Call wDokSchreiben "<Return>"

end sub
