'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: sxc_02.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:53:43 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/**********************************************************************************
'*
'* owner : joerg.sievers@sun.com
'*
'* short description : XML Calc Include File
'*
'\***********************************************************************************
   Dim Isliste(250) as string
   Dim OutputPath as string

sub sxc_02

   printlog "------------------- sxc_02.inc ---------------------"
   printlog "---------------------- Cells -----------------------"

    call tcellformats2b
    call tcellformats5
    call tcellformats6

   printlog "---------------------- C J K -----------------------"

    call tjapan
    call tkorean
    call tsimple_c
    call trad_c

end sub

'-------------------------------------------------------------------------
testcase tcellformats2b
  printlog "+- cellformats2b"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\calc\cellformats2b.sdc"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats2b.sxc") , gCalcFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats2b.sxc") , gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats2b") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats2b\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats2b\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats2b\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats2b.sxc"))
      sleep(2)
      call hCloseDocument
      sleep(2)
      printlog "    ---------------------"
      printlog "    c o n t e n t . x m l"
      printlog "    ---------------------"
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------
testcase tcellformats5
  printlog "+- cellformats5.sdc"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\calc\cellformats5.sdc"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats5.sxc") , gCalcFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats5.sxc") , gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats5") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats5\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats5\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats5\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats5.sxc"))
      sleep(2)
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tcellformats6
  printlog "+- cellformats6.sdc"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\calc\cellformats6.sdc"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats6.sxc") , gCalcFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats6.sxc") , gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats6") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats6\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats6\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats6\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\calc\update\cellformats6.sxc"))
      sleep(2)
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tjapan
  printlog "+- japan.sxc"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\calc\japan.sxc"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\calc\update\japan.sxc") , gCalcFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\calc\update\japan.sxc") , gOfficePath & ConvertPath("user\work\xml\calc\update\japan") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\japan\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\japan\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\japan\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\calc\update\japan.sxc"))
      sleep(2)
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tkorean
  printlog "+- korean.sxc"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\calc\korean.sxc"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\calc\update\korean.sxc") , gCalcFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\calc\update\korean.sxc") , gOfficePath & ConvertPath("user\work\xml\calc\update\korean") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\korean\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\korean\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\korean\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\calc\update\korean.sxc"))
      sleep(2)
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tsimple_c
  printlog "+- simple_c.sxc"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\calc\simple_c.sxc"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\calc\update\simple_c.sxc") , gCalcFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\calc\update\simple_c.sxc") , gOfficePath & ConvertPath("user\work\xml\calc\update\simple_c") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\simple_c\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\simple_c\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\simple_c\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\calc\update\simple_c.sxc"))
      sleep(2)
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase trad_c
  printlog "+- trad_c.sxc"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\calc\trad_c.sxc"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\calc\update\trad_c.sxc") , gCalcFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\calc\update\trad_c.sxc") , gOfficePath & ConvertPath("user\work\xml\calc\update\trad_c") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\trad_c\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\trad_c\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\trad_c\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\calc\update\trad_c.sxc"))
      sleep(2)
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

