'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: f_basic.bas,v $
'*
'*  $Revision: 1.1.2.5 $
'*
'*  last change: $Author: jsi $ $Date: 2003/09/09 13:13:30 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : joerg.skottke@sun.com
'*
'* short description : Test for the BASIC IDE / Macro dialogs
'*
'\***********************************************************************

sub main
    use "framework\basic\inc\f_basic_1.inc"
    use "framework\basic\inc\f_basic_2.inc"
    use "framework\basic\inc\f_basic_tools.inc"

    call hStatusIn ( "framework", "f_basic.bas", "Global BasicIDE/Marco-Dialog tests" )
        call tMakro_In_All_Apps                            ' open BASIC-IDE in all Applications
        call tMakro_Dialog                                 ' update-test for macro-dialog
        call tMakro_Names                                  ' check naming convention for modules
        if gPlatgroup = "unx" then
            QAErrorLog "Issuzilla Task: 15715 - 'tBasic_IDE_NewModule' and 'tBasic_IDE_NewDialog' exclude until fixed!"
        else
            call tBasic_IDE_NewModule                          ' working with a new module        
            call tBasic_IDE_NewDialog                          ' working with a new dialog
        end if
        call tBasic_IDE_Breakpoint                         ' working with breakpoints
        call tBasic_IDE_Toolbar_Module                     ' update-test for Toolbar in Basic-IDE
        call tBasic_IDE_Toolbar_Dialogs                    ' check macro bar for a new dialog
        call tMore_Modules_Dialogs                         ' create/delete more than 1 module and dialog
        call tDeleteModulesAtRunningBasic                  ' try to reproduce #99400
        if gPlatform = "lin" then
            QAErrorLog "#BugId: 112156 under LINUX."
        else
            call tAllControlsOnDialog                          ' check controls on basic dialogs
        end if
        'TODO: CURRENTLY DISABLED 
        'call tWatch_Calls                                  ' check the function of watches and calls                
    call hStatusOut

end sub

'-------------------------------------------------------------------------

sub LoadIncludeFiles
    use "global\system\inc\master.inc"
    use "global\system\inc\gvariabl.inc"
    gApplication = "WRITER"
    Call GetUseFiles
end sub

