'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: global_3.inc,v $
'*
'*  $Revision: 1.2.4.2 $
'*
'*  last change: $Author: jsk $ $Date: 2003/08/25 08:48:31 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : joerg.skottke@sun.com
'*
'* short description : global update/resource test
'*
'************************************************************************
'*
' #1 tTemplate_DialogTest                   ' update-test for templates+documents-dialog
' #1 tTemplate_NamesCheck       'wrn:4      ' check all names for samples/templates in T&D-dialog
' #1 tHelp_DialogTest                       ' update-test for help ( can't close )
' #1 tHelp_ToolBar                          ' work with help tool-bar
' #0 hDeleteUserTemplates                   ' delete the four templates created by autopilots
'*
'\***********************************************************************

testcase tTemplate_DialogTest

   Dim i as Integer
   Dim concount as integer

   '///dialog-test for 'documents and templates'-dialog
   '///open a writer-doc
   '///file / new / documents and templates

   gApplication = "Writer"
   hNewDocument

   FileNewFromTemplate

   '///+organize
   printlog "file / new / templates and documents"
   Kontext "TemplateAndDocuments"
   printlog " - organize"
   Organize.Click
   sleep (1)

   '///+-   file ( close file-dialog )
   Kontext "DVVerwalten"
   printlog "    - file"
   WelcheDatei.Click
   sleep (1)

   printlog "      close File-Open-dialog"
   Kontext "OeffnenDlg"
   OeffnenDlg.Cancel
   sleep (1)

   '///+-   addressbook
   printlog "    - Adressbook"
   Kontext "DVVerwalten"
   AddressBook.Click
   sleep (1)

   '///+-      administrate ( close the tab-dialog )
   printlog "       - administrate"
   Kontext "AddressBookSource"
   Administrate.Click
   sleep (1)

   printlog "         close Data-Source-Administration-dialog"
   Kontext "DataSourceAdministration"
   DataSourceAdministration.Cancel
   sleep (1)

   '///+-    close the Adressbook-Source-dialog
   printlog "      close Adressbook-Source-dialog"
   Kontext "AddressBookSource"
   AddressBookSource.Cancel
   sleep (2)

   '///+- press Instruction-button and select entry 1 -> printer settings"
   printlog "    - open instructions and select entry 1 or 4 -> Printer settings"
   Kontext "DVVerwalten"
   Befehle.Open
   sleep (2)

   concount = hMenuItemGetCount
   if concount = 2 then
      hMenuSelectNr ( 1 )
      endif

   if concount = 5 then
      hMenuSelectNr ( 4 )
      endif

   sleep (1)

   printlog "       close the printer-dialog"
   Kontext "DruckerEinrichten"
   DruckerEinrichten.Cancel
   sleep (1)

   printlog "    - open instructions and select entry  2 or 5 -> update"
   Kontext "DVVerwalten"
   Befehle.Open
   sleep (1)

   '///+- press Instruction-button and select entry 2 or 5 -> update"
   concount = hMenuItemGetCount
   if concount = 2 then
      hMenuSelectNr ( 2 )
      endif

   if concount = 5 then
      hMenuSelectNr ( 5 )
      endif

   sleep (5)

   '///+- close organized-dialog
   printlog "    close the organized-dialog"
   DVVerwalten.Close
   sleep (1)

   '///+activate all entries in categories ( 4 )
   printlog " - activate all entries in categories"
   Kontext "TemplateAndDocuments"
   Category.TypeKeys "<PageUp>"

   for i=1 to 3
      sleep (1)
      Category.TypeKeys "<Down>"
   next i

   sleep (1)

   '///+close template+documents-dialog
   TemplateAndDocuments.Cancel

   '///+close the writer-doc
   sleep (2)
   hCloseDocument

endcase

' *********************************************
' *
testcase tTemplate_NamesCheck

   Dim i as Integer, j as Integer, k as Integer, L as Integer
   Dim sCategory as String, sFileFolder as String
   Dim sFileName as String, sFile as String, sFileFolderOld as String
   Dim sSNames (500) as String, sINames (500) as String
   Dim iSelect as Integer, iDummy as Integer

'///check the names for folders/files in 'documents and templates'-dialog ( depends on language )

'///- list for 'new documents' = [TesttoolPath]\framework\update\input\new_[lan_id].txt
'///+- list for all templates = [TesttoolPath]\framework\update\input\templdoc\tem_[lan_id].txt
'///+- list for all samples = [TesttoolPath]\framework\update\input\templdoc\sam_[lan_id].txt

'///open a writer-doc
'///file / new / documents and templates
'///+select all categories and compare the all list entries with the text-files
'///+no comparison for 'my documents'

   'call hDeleteUserTemplates() ' removes user created templates

   gApplication = "Writer"
   hNewDocument

   FileNewFromTemplate

   Kontext "TemplateAndDocuments"
   sleep (10)
   Category.TypeKeys "<PageUp>"

   for i=1 to 4
      iSelect = 0
      ListAllDelete ( sSNames() ) : ListAllDelete ( sINames() )
      select case i
         case 1 : sCategory = "NewDoc"
         case 2 : sCategory = "Templates"
         case 3 : sCategory = "MyOwn"
         case 4 : sCategory = "Samples"
      end select
      sleep (1)
      if i<>1 then Category.TypeKeys "<Down>"
      FileList.TypeKeys "<PageUp>"

      for j=1 to FileList.GetItemCount
         if j<>1 then
            FileList.TypeKeys "<Down>"
         else
            FileList.TypeKeys "<Down><Up>"
         end if
         if i<>1 and i<>3 then
            iDummy = iSelect + 5
            FileList.MouseDown ( 10, iDummy )
            FileList.MouseUp ( 10, iDummy )
            sFileFolder = FileList.GetText
            for L=1 to 10
               if sFileFolder = sFileFolderOld then
                  FileList.MouseDown ( 10, iDummy + L )
                  FileList.MouseUp ( 10, iDummy + L )
                  sFileFolder = FileList.GetText
               else
                  iSelect = iDummy + L - 1
                  if L=1 then
                     FileList.MouseDoubleClick ( 10, iDummy )
                  else
                     FileList.MouseDoubleClick ( 10, iSelect )
                  end if
                  L=11
               end if
            next L
            sleep (2)
            FileList.TypeKeys "<PageUp>"
            for k=1 to FileList.GetItemCount
               if k<>1 then
                  FileList.TypeKeys "<Down>"
               else
                  FileList.TypeKeys "<Down><Up>"
               end if
               sFileName = FileList.GetText
               ListAppend ( sINames(), sCategory + ":" + sFileFolder + ":" + sFileName )
            next k
            UpOneLevel.Click
            sleep (2)
            sFileFolderOld = sFileFolder
         else
            if i=1 then
               sFileFolder = FileList.GetText
               ListAppend ( sINames(), sCategory + ":" + sFileFolder + ":" + sFileName )
            end if
         end if
      next j

      if i<>3 then
         if i=1 then
            sFile = ConvertPath ( gTesttoolPath + "framework\update\input\templdoc\new_" + iSprache + ".txt"
            printlog "- check the titles of all 'new-documents'"
         end if
         if i=2 then
            sFile = ConvertPath ( gTesttoolPath + "framework\update\input\templdoc\tem_" + iSprache + ".txt"
            printlog "- check the titles of all 'templates'"
         end if
         if i=4 then
            sFile  = ConvertPath ( gTesttoolPath + "framework\update\input\templdoc\sam_" + iSprache + ".txt"
            printlog "- check the titles of all 'samples'"
         end if

         if bAsianLan = FALSE then
            if Dir ( sFile ) = "" then
               warnlog "The file for comparison does not exists. The file will be written!"
               printlog "Please verify : " + sFile + " manually."
               ListWrite ( sINames(), sFile , "utf8" )
            else
               printlog "  file for comparison is : " + sFile
               ListRead ( sSNames (), sFile , "utf8")
               gCompare2Lists ( sINames(), sSNames () )
            end if
         else
            if Dir ( sFile ) = "" then
               warnlog "The file for comparison does not exists. The file will be written!"
               printlog "Please verify : " + sFile + " manually."
               ListWrite ( sINames (), sFile, "utf8" )
            else
               printlog "  file for comparison is : " + sFile
               ListRead ( sSNames (), sFile, "uft8" )
               gCompare2Lists ( sINames(), sSNames () )
            end if
         end if
      end if
   next i

   TemplateAndDocuments.Close
   hCloseDocument

endcase

' *********************************************
' *
testcase tHelp_DialogTest
'///dialog-test for StarOffice help

'///open help ( help / contents )

   Dim i as Integer
  printlog "- open the help"
   HelpContents

   Kontext "StarOfficeHelp"
   for i=1 to 50
      If StarOfficeHelp.Exists <> TRUE then
         sleep (1)
      else
         printlog "It takes " + i + " seconds to show the help!"
         i=51
      end if
   next i

   if StarOfficeHelp.Exists <> TRUE then
      warnlog "After 50 seconds the help isn't shown. The test stops!"
      exit sub
   else

'///+activate 'Content'-page
  printlog "- activate 'Content'-page"
      TabControl.SetPage ContentPage
      sleep (2)
'///+activate 'Index'-page
  printlog "- activate 'Index'-page"
      TabControl.SetPage IndexPage
      sleep (2)
'///+activate 'Find'-page
  printlog "- activate 'Find'-page"
      TabControl.SetPage FindPage
      sleep (2)
'///+activate 'Bookmark'-page
  printlog "- activate 'Bookmarks'-page"
      TabControl.SetPage BookmarksPage
      sleep (2)
'///+close help ( does not work correctly with testtool )
   call hCloseHelp
   end if
endcase

' *********************************************
' *
testcase tHelp_ToolBar
'///test the toolbar of StarOffice help

'///open help ( help / contents )
   Dim i as Integer

   hOpenHelp

   Kontext "StarOfficeHelp"

   '///Index-button
   printlog "- Index -> on"

   '///+activate 'Index' ( => only the help-window must be shown )
   Index.Click()
   sleep (2)
   printlog "- Index -> off"

   '///+activate 'Index' ( => the full help-window must be shown )
   Index.Click()

   '///Backward- and Forward-button
   '///+open the 'Index'-page
   printlog "- activate 'Index'-page"
   TabControl.SetPage( IndexPage )
   sleep (2)
   SearchIndex.Select 4
   DisplayIndex.Click()
   sleep (2)

   '///+backward
   printlog "- backward"
   Backward.Click()
   sleep (2)

   '///+forward
   printlog "- forward"
   Forward.Click()
   sleep (2)

   '///first page
   printlog "- first page"
   GoToStart.Click()

   '///print
   printlog "- print"
   '///+the print-dialog must be shown ( if direct-printing is activated => BUG )
   '///+close the print-dialog
   PrintButton.Click()

   Kontext "Active"
   if Active.Exists ( 1 ) then
      if Active.getRT() = 304 then
         qaerrorlog "- Printing failed: Did you define a default printer?"
         Active.OK()
      endif
   else
      Kontext "DruckenDlg"
      if DruckenDlg.NotExists (2) then
         warnlog "No print-dialog is open. => direct printing? - bug 93788!"
      else
         DruckenDlg.Cancel()
      endif

   endif

   '///Set Bookmark
   '///+ close the 'add bookmark'-dialog
   printlog "- Set Bookmark"
   Kontext "TB_Help"
   SetBookmarks.Click()

   Kontext "AddBookmark"
   call DialogTest ( AddBookmark )
   AddBookmark.Cancel()

'///+close help ( does not work correctly with testtool )
   call hCloseHelp
endcase

'-------------------------------------------------------------------------

sub hOpenHelp

   Dim i

   HelpContents

   Kontext "StarOfficeHelp"
   for i=1 to 50
      If StarOfficeHelp.Exists <> TRUE then
         sleep (1)
      else
         printlog "It takes " + i + " seconds to show the help!"
         i=51
      end if
   next i

end sub

'-------------------------------------------------------------------------

sub hCloseHelp

   Kontext "StarOfficeHelp"
   if NOT StarOfficeHelp.Exists (5) then
      warnlog "Help is not up!"
   else
      StarOfficeHelp.TypeKeys "<MOD1 F4>"    ' <CTRL>+<F4>
      sleep (7)
      if StarOfficeHelp.Exists (5) then
         printlog "Help still up! It can't be closed with the testtool. No bug - just a hint."
      end if
   end if

end sub

'-------------------------------------------------------------------------

sub hDeleteUserTemplates()

   dim filepath as string
       filepath = convertpath( gOfficePath()+"\user\template\" )
   dim PID as long
   dim cCommand as string
       
   if( gPlatGroup() = "Win95" ) then
   
      cCommand = "del "+filepath+"*.* /Q"
      printlog( "Deleting user template on Windows: " + cCommand )
      'PID = shell( cCommand , vbMinimizedNoFocus )
      
   elseif( gPlatGroup() = "UNX" ) then
   
      cCommand = "rm -f "+filepath+"*"
      printlog( "Deleting user template on UNIX: " + cCommand )      
      'PID = shell( cCommand , vbMinimizedNoFocus )
      
   endif
   
end sub
